YoYOptionletHelper Class Reference

Year-on-year inflation-volatility bootstrap helper. More...

`#include <ql/experimental/inflation/yoyoptionlethelpers.hpp>`

Inheritance diagram for YoYOptionletHelper:
[legend]

## Public Member Functions

| YoYOptionletHelper (const Handle< Quote > &price, Real notional, YoYInflationCapFloor::Type capFloorType, Period &lag, const DayCounter &yoyDayCounter, const Calendar &paymentCalendar, Natural fixingDays, const ext::shared_ptr< YoYInflationIndex > &index, Rate strike, Size n, const ext::shared_ptr< YoYInflationCapFloorEngine > &pricer)
void | setTermStructure (YoYOptionletVolatilitySurface *)
Real | impliedQuote () const
Public Member Functions inherited from BootstrapHelper< YoYOptionletVolatilitySurface >
| BootstrapHelper (const Handle< Quote > &quote)
| BootstrapHelper (Real quote)
const Handle< Quote > & | quote () const
virtual Real | impliedQuote () const=0
Real | quoteError () const
virtual void | setTermStructure (YoYOptionletVolatilitySurface *)
| sets the term structure to be used for pricing More...
virtual Date | earliestDate () const
| earliest relevant date More...
virtual Date | maturityDate () const
| instrument's maturity date
virtual Date | latestRelevantDate () const
| latest relevant date More...
virtual Date | pillarDate () const
| pillar date
virtual Date | latestDate () const
| latest date More...
virtual void | update ()
virtual void | accept (AcyclicVisitor &)
Public Member Functions inherited from Observer
| Observer (const Observer &)
Observer & | operator= (const Observer &)
std::pair< iterator, bool > | registerWith (const ext::shared_ptr< Observable > &)
void | registerWithObservables (const ext::shared_ptr< Observer > &)
Size | unregisterWith (const ext::shared_ptr< Observable > &)
void | unregisterWithAll ()
virtual void | deepUpdate ()
Public Member Functions inherited from Observable
| Observable (const Observable &)
Observable & | operator= (const Observable &)
void | notifyObservers ()

## Protected Attributes

Real | notional_
YoYInflationCapFloor::Type | capFloorType_
Period | lag_
Natural | fixingDays_
ext::shared_ptr< YoYInflationIndex > | index_
Rate | strike_
Size | n_
DayCounter | yoyDayCounter_
Calendar | calendar_
ext::shared_ptr< YoYInflationCapFloorEngine > | pricer_
ext::shared_ptr< YoYInflationCapFloor > | yoyCapFloor_
Protected Attributes inherited from BootstrapHelper< YoYOptionletVolatilitySurface >
Handle< Quote > | quote_
YoYOptionletVolatilitySurface * | termStructure_
Date | earliestDate_
Date | latestDate_
Date | maturityDate_
Date | latestRelevantDate_
Date | pillarDate_

## Additional Inherited Members

Public Types inherited from Observer
typedef boost::unordered_set< ext::shared_ptr< Observable > > | set_type
typedef set_type::iterator | iterator

## Detailed Description

Year-on-year inflation-volatility bootstrap helper.